package com.engine.salary.mapper.datacollection;

import com.engine.salary.entity.datacollection.dto.AttendQuoteListDTO;
import com.engine.salary.entity.datacollection.param.AttendQuoteQueryParam;
import com.engine.salary.entity.datacollection.po.AttendQuotePO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;


public interface AttendQuoteMapper {

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List<AttendQuotePO> listAll();


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    AttendQuotePO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param AttendQuotePO 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(AttendQuotePO AttendQuotePO);

    /**
     * 修改，修改所有字段
     *
     * @param AttendQuotePO 修改的记录
     * @return 返回影响行数
     */
    int update(AttendQuotePO AttendQuotePO);

    /**
     * 修改，忽略null字段
     *
     * @param AttendQuotePO 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(AttendQuotePO AttendQuotePO);

    /**
     * 删除记录
     *
     * @param AttendQuotePO 待删除的记录
     * @return 返回影响行数
     */
    int delete(AttendQuotePO AttendQuotePO);


    /**
     * 查询数据采集-考勤引用列表
     *
     * @param param
     * @return
     */
    List<AttendQuoteListDTO> list(@Param("param") AttendQuoteQueryParam param);


    /**
     * 批量删除数据采集-考勤引用
     *
     * @param ids
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);

    List<AttendQuotePO> listSome(@Param("param") AttendQuotePO param);


}